GpgFrontend::UI::VersionCheckTask Class Reference
Inheritance diagram for GpgFrontend::UI::VersionCheckTask:
Collaboration diagram for GpgFrontend::UI::VersionCheckTask:

## Signals

void | SignalUpgradeVersion (SoftwareVersion version)
Signals inherited from GpgFrontend::Thread::Task
void | SignalTaskFinished ()
void | SignalTaskPostFinishedDone ()

## Public Member Functions

| VersionCheckTask ()
| Construct a new Version Check Thread object. More...
Public Member Functions inherited from GpgFrontend::Thread::Task
| Task ()
| Construct a new Task object. More...
| Task (TaskCallback callback, DataObjectPtr data_object=nullptr)
| Construct a new Task object. More...
| Task (TaskRunnable runnable, TaskCallback callback=[](int, std::shared_ptr< DataObject >) {}, DataObjectPtr data=nullptr)
| Construct a new Task object. More...
virtual | ~Task () override
| Destroy the Task object. More...
std::string | GetUUID () const

## Protected Member Functions

void | Run () override
| Run - run the task. More...
Protected Member Functions inherited from GpgFrontend::Thread::Task
void | SetFinishAfterRun (bool finish_after_run)
| Set the Finish After Run object. More...
void | SetRTN (int rtn)

## Private Slots

void | slot_parse_latest_version_info ()
void | slot_parse_current_version_info ()

## Private Attributes

QByteArray | latest_reply_bytes_
QByteArray | current_reply_bytes_
QNetworkReply * | latest_reply_ = nullptr
| latest version info reply
QNetworkReply * | current_reply_ = nullptr
| current version info reply
QNetworkAccessManager * | network_manager_
std::string | current_version_
SoftwareVersion | version_

## Additional Inherited Members

Public Types inherited from GpgFrontend::Thread::Task
using | DataObjectPtr = std::shared_ptr< DataObject >
using | TaskRunnable = std::function< int(DataObjectPtr)>
using | TaskCallback = std::function< void(int, DataObjectPtr)>

## Constructor & Destructor Documentation

## VersionCheckTask()

GpgFrontend::UI::VersionCheckTask::VersionCheckTask | ( |  | ) |

explicit

Construct a new Version Check Thread object.

## Member Function Documentation

## Run()

void GpgFrontend::UI::VersionCheckTask::Run | ( |  | ) |

overrideprotectedvirtual

Run - run the task.

Reimplemented from GpgFrontend::Thread::Task.

References latest_reply_, and GpgFrontend::Thread::Task::SetFinishAfterRun().

## SignalUpgradeVersion

void GpgFrontend::UI::VersionCheckTask::SignalUpgradeVersion | ( | SoftwareVersion | version | ) |

signal

Parameters

  version |

Referenced by GpgFrontend::UI::UpdateTab::getLatestVersion(), and GpgFrontend::UI::MainWindow::Init().

The documentation for this class was generated from the following files:

- src/ui/thread/VersionCheckTask.h
- src/ui/thread/VersionCheckTask.cpp